Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# MSA

## Name

MSA -- generate 'my secondary address' command byte

## Synopsis

    #include <gpib/ib.h>

``uint8_t MSA`(unsigned int address);`

## Description

MSA() returns a 'my secondary address' command byte corresponding to the `address` argument. The `address` may be between 0 and 31. This macro is also useful for mangling secondary addresses from the 'real' values between 0 and 31 to the range 0x60 to 0x7f used by most of the library's functions.

## Return value

The appropriate MSA command byte is returned.

Prev | Home | Next
MLA | Up | MTA